﻿using System;
using System.Collections.Generic;

namespace CustomEnumerable
{
    class Program
    {
        static IEnumerable<Int32> Factor(int number)
        {
            Int32 multiplier = 1;
            Int32 result = 1;
            while (multiplier++ < number)
            {
                result *= multiplier;
                yield return result;
            }
        }

        static void Main(String[] args)
        {
            Console.Write("Factorize:");
            foreach (Int32 number in Factor(10))
                Console.Write(" " + number);
            Console.WriteLine();

            RandomEnumerable<Single> collection = new RandomEnumerable<Single>();
            collection.Add(2.45f);
            collection.Add(7.25f);
            collection.Add(1.22f);
            collection.Add(6.97f);
            collection.Add(5.21f);
            collection.Add(8.38f);

            Console.Write("Elements:");
            foreach (Single item in collection)
                Console.Write(" " + item);
            Console.WriteLine();

            Console.Write("Elements:");
            foreach (Single item in collection)
                Console.Write(" " + item);
            Console.WriteLine();

            List<Single> list = new List<Single>(collection);
            list.AddRange(collection);
            Console.Write("Elements:");
            foreach (Single item in list)
                Console.Write(" " + item);
            Console.WriteLine();

            Console.ReadKey();
        }
    }
}
