﻿using System;
using System.IO;

namespace FileHandling
{
    static class FileTree
    {
        public static void Display(String path)
        {
            if (!Directory.Exists(path))
            {
                Console.WriteLine("The {0} is not an existing directory.", path);
                return;
            }

            DisplayRecursive(path, 0);
        }

        private static void DisplayRecursive(String path, Int32 depth)
        {
            for (Int32 i = 0; i < depth; ++i)
                Console.Write("  ");
            Console.WriteLine(path);

            String[] files = Directory.GetFiles(path);
            foreach (String file in files)
            {
                for (Int32 i = 0; i <= depth; ++i)
                    Console.Write("  ");
                Console.WriteLine(file);
            }

            String[] subDirectories = Directory.GetDirectories(path);
            foreach (String subDirectory in subDirectories)
                DisplayRecursive(subDirectory, depth + 1);
        }
    }
}
