﻿using System;
using System.IO;

namespace FileHandling
{
    class Program
    {
        static void Main(string[] args)
        {
            FileTree.Display(@"..\..\");

            // ---------------------------
            Console.ReadKey();
            Console.WriteLine();
            // ---------------------------

            StreamWriter writer = null;
            try
            {
                writer = new StreamWriter("temp.txt");
            }
            catch (IOException)
            {
                Console.WriteLine("Cannot open the file for write.");
                return;
            }

            Console.WriteLine("Please type the input:");
            try
            {
                String line;
                while ((line = Console.ReadLine()).Length > 0)
                    writer.WriteLine(line);
            }
            catch (IOException)
            {
                Console.WriteLine("Error during writing the file.");
            }
            finally
            {
                writer.Close();
            }
            Console.WriteLine("File written");

            StreamReader reader = null;
            try
            {
                reader = new StreamReader("temp.txt");
            }
            catch (IOException)
            {
                Console.WriteLine("Cannot open the file for read.");
            }

            if (reader != null)
            {
                Console.WriteLine("The content of the file:");
                try
                {
                    while (!reader.EndOfStream)
                        Console.WriteLine(reader.ReadLine());
                    //Console.Write(reader.ReadToEnd());
                }
                catch (IOException)
                {
                    Console.WriteLine("Error during reading the file.");
                }
                finally
                {
                    reader.Close();
                }
            }

            Console.ReadKey();
        }
    }
}
